Package org.apache.tapestry5.internal.services

## Class StreamResponseResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.StreamResponseResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<StreamResponse>`

      public class StreamResponseResultProcessor
      extends Object
      implements ComponentEventResultProcessor<StreamResponse>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamResponseResultProcessor​(Response response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(StreamResponse streamResponse)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamResponseResultProcessor

          public StreamResponseResultProcessor​(Response response)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(StreamResponse streamResponse)
                                  throws IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<StreamResponse>`
      Parameters:
        `streamResponse` - the value returned from a method
      Throws:
        `IOException`